
QGIS Application - Bug report #18549

XYZ Tile Connections Crash

2018-03-26 06:17 PM - João Gaspar

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/XYZ

Affected QGIS version:2.18.8 Regression?: Yes

Operating System: Windows 7 64-bits Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 26437

Description

Steps:

1. Open Browser Panel

2. Add XYZ New Connection..

3. https://mt1.google.com/vt/lyrs%3Dy%26x%3D%7Bx%7D%26y%3D%7By%7D%26z%3D%7Bz%7D

4. Add Selected layer / Add Layer / Drag Layer to map context

Crash

Tested in

QGIS Desktop 2.18.15 LTR - Works fine

QGIS Desktop 2.18.18 LTR - Crash

See attachements.

History

#1 - 2018-03-27 01:22 PM - João Gaspar

- File qgis_crash_tilexyz.LOG added

Log extracted with DebugView software.

#2 - 2018-03-27 08:27 PM - Richard Duivenvoorde

Hi, cannot reproduce here on Linux 2.18.18 (in Affected QGIS version you state 2.18.8.

If I use your url, I get:

server replied: Bad Request url:https://mt1.google.com/vt/lyrs%3Dy%26x%3D%7Bx%7D%26y%3D%7By%7D%26z%3D%7Bz%7D

but not a crash.

If I use: https://mt1.google.com/vt/lyrs=y&#38;x={x}&#38;y={y}&#38;z={z}

It just works.

I do not have Windows 7 here with me.

#3 - 2018-07-18 08:30 PM - Nathan Perry

- File xyz_crash_log.txt.rtf added
I can confirm this issue (or a similar one). I'm using QGIS 3.2 on Mac OS 10.13.6 and using the Google Maps satellite layer: 

http://www.google.cn/maps/vt?lyrs=s@189&#38;gl=cn&#38;x={x}&#38;y={y}&#38;z={z}

I can't exactly predict when the crash will occur, but it seems to be related to specific tiles; i.e., panning/zooming to the same location will tend to trigger the

crash repeatedly. It may also be more common with close zoom levels.

I'll attach a crash report from the most recent occurrence.

#4 - 2018-07-20 07:57 AM - Nyall Dawson

- Status changed from Open to Feedback

Nathan - your crash report indicates the crash is coming from Python. Are you using QuickMapServices or OpenLayers?

#5 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#6 - 2019-01-21 10:19 AM - João Gaspar

Jürgen, this can be close. Is working as expected in the recent versions.

#7 - 2019-01-21 12:02 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

2_18_18.png 84 KB 2018-03-26 João Gaspar

2_18_15.png 2.04 MB 2018-03-26 João Gaspar

qgis_crash_tilexyz.LOG 4.61 KB 2018-03-27 João Gaspar

xyz_crash_log.txt.rtf 107 KB 2018-07-18 Nathan Perry
